<?php

require_once dirname(__FILE__).'/MyBlocksAdmin.class.php' ;

class MyBlocksAdminForX22 extends MyBlocksAdmin {

function __construct()
{
}


function construct()
{
	parent::construct() ;

	@include_once XOOPS_ROOT_PATH.'/modules/system/language/'.$this->lang.'/admin/blocksadmin.php' ;
}


function &getInstance()
{
	static $instance;
	if (!isset($instance)) {
		$instance =& new MyBlocksAdminForX22();
		$instance->construct() ;
	}
	return $instance;
}


}

?>
